<?
if (!defined('webid')) {
    exit();
}
if (!isset($_SESSION["username"]) && !isset($_SESSION["password"])) {
    ?>
	<script type="text/javascript">
    hax({url:'/home', id:'flax'});
    </script>
	<?php
	exit();
}

include 'geoip/GeoIP.php';
$geoip = Net_GeoIP::getInstance('geoip/GeoIP.dat');
try {
    $regcountry = $geoip->lookupCountryName($ip);
    $regcode = strtolower($geoip->lookupCountryCode($ip));
}
catch (Exception $e) {
}

if ($keyok == 0) {
    $emal_img = '<img src="theme/img/email_no.png" width="16" height="16" title="Аккаунт не активирован" class="email_img" />';
} else {
    $emal_img = '<img src="theme/img/email_ok.png" width="16" height="16" title="Email успешно подтвержден" class="email_img" />';
}

if ($blockip != '') {
    $blockip_img = '<a href="#" onclick="blockip();return false;"><img src="theme/img/blockip.png" width="16" height="16" border="0" title="Аккаунт защищен" class="blockip_img" /></a>';
} else {
    $blockip_img = '<a href="#" onclick="blockip();return false;"><img src="theme/img/addblockip.png" width="16" height="16" border="0" title="Аккаунт не защищен<br \>Нажмите, чтобы привязать IP к аккаунту<br \>Вход будет разрешен только с этого IP" class="blockip_img" /></a>';
}
?>
<style type="text/css">
#avchange {
    padding: 5px;
    margin: 3px;
    background: #fafafa;
    border-right: 1px solid #cccccc;
    border-bottom: 1px solid #cccccc;
}
#wml {
    color: #1C62B9;
    text-decoration: none;
}
#wml:hover {
    color: #1C62B9;
    text-decoration: underline;
}
#error_ava {
    color: #800000;
    padding: 5px;
    text-align: center;
}
#error {
    color: #800000;
    text-align: center;
    padding: 5px 0;
    font-weight: bold;
}
#save {
    position: relative;
    top: 3px;
    margin-left: 5px;
    cursor: pointer;
}
</style>
<script type="text/javascript" src="theme/js/ajaxupload.js"></script>
<script type="text/javascript">
$(document).ready(function(){
    $('img.avatar, #autoback, .email_img, .blockip_img, #save').tipTip();
    $('#ask_webmoney').tipTip({defaultPosition:'left'});
    $('img.avatar').click(function() {
        $('#error_ava').html('');
        if ($('#avchange').css('display') == 'none') {
            $('#avchange').slideDown(500);
        } else {
            $('#avchange').slideUp(500);
        }
    });
    
    var btnUpload=$("#addava");
    new AjaxUpload(btnUpload, {
        action: "ajax.php",
        name: "uploadfile",
        onSubmit: function(file, ext) {
            $("#imgload").css("display","block");
            $("#imgload").html("<img src=\"theme/images/upload.gif\" width=\"80\" height=\"10\" />");
        },
        onComplete: function(file, response) {
            if (response === "imgsize") {
                $("#error_ava").html("Допустимый размер аватара 60 х 60.");
                $("#imgload").css("display","none");
            } else
            if (response === "ok") {
                $("#error_ava").html("Аватар успешно загружен.");
                $("#imgload").css("display","none");
                FLAX.Html.thread['flax'].repeat();
            } else
            if (response === "erser1"){
                $("#error_ava").html("Произошла ошибка при загрузке файла на сервер.");
                $("#imgload").css("display","none");
            } else
            if (response === "erser2") {
            $("#error_ava").html("Произошла ошибка при загрузке файла на сервер.");
            $("#imgload").css("display","none");
            } else
            if (response === "imgtype") {
                $("#error_ava").html("Неверный формат изображения.");
                $("#imgload").css("display","none");
            } else
            if (response === "imgs"){
                $("#error_ava").html("Максималный размер аватара 128 кб.");
                $("#imgload").css("display","none");
            }
        }
    });
})
function sendm(check) {
    $.post('ajax.php?func=checkmail',{
        mail : check
    }, function(data) {
        if (data == 1) {
            FLAX.Html.thread['flax'].repeat();
        }
    });
    return false;
}

function editprofile() {
    $.post('ajax.php?func=editprofile',{
        ask_webmoney : $('#ask_webmoney').val(),
		ask_payeer : $('#ask_payeer').val(),
        ask_pass : $('#ask_pass').val(),
        ask_pass2 : $('#ask_pass2').val()
    }, function(data){
        if (data == 1) {
            FLAX.Html.thread['flax'].repeat();
        } else {
            $('.open').fadeIn(500);
            $('#error').html(data);
            setTimeout(function(){
                $('.open').fadeOut(500);
            }, 2000)
        }
    });
    return false;
}

function actcode() {
    $.post('ajax.php?func=actcode',{
        key: $('#key').val()
    }, function(data){
        if (data == 1) {
            FLAX.Html.thread['flax'].repeat();
        } else {
            $('.open').fadeIn(500);
            $('#error').html(data);
            setTimeout(function(){
                $('.open').fadeOut(500);
            }, 2000)
        }
    });
    return false;
}

function blockip() {
    $.post('ajax.php?func=addblockip',{      
    }, function(data){
        if (data == 1) {
            FLAX.Html.thread['flax'].repeat();
        }
    });
    return false;
}
</script>
<h3 style="border-bottom: 1px dotted #cccccc; color: #1c62b9; text-shadow: 0 1px 0 #fafafa;">Мои личные данные</h3>
<div class="header-stat">Уважаемый пользователь! Будьте предельно внимательны при заполнении данных личного Профиля, особенно ваших электронных кошельков. К некоторым полям имеются подсказки. Воспользуйтесь ими, если в чём-либо сомневаетесь.</div>
<h3>Аватар и настройки</h3>
<div class="header-stat">Чтобы изменить аватар наведите курсором и кликните по нему.</div>
<div id="error_ava"><div id="imgload"></div></div>
<table width="100%" border="0">
    <tr>
        <td width="10%" valign="top"><img class='avatar' title="Добавить или изменить аватар" src='<?=$avatar ?>' border='0' width='60' height='60' alt='avatar' /></td>
        <td align="left" valign="top" style="padding-top: 4px;"><div id="avchange" class="avatarchange" style="display: none;">Картинка для аватара не должна превышать 60х60 пикселей и быть не более 128 килобайт. Принимаются картинки таких типов: gif, jpg, jpeg, png. Все аватары будут приведены к размерам 60х60 пикселей.<br /><center><a href="#" id="addava" class="big_btn">Загрузить</a></center></div></td>
    </tr>
</table>
<form onsubmit="editprofile(); return false;">
<table class='otab' width='100%' border='0' cellpadding='0' cellspacing='1'>
    <tr>
        <td style="padding: 5px; background: #ebebeb;" colspan="2"><span style="color: #212121; font-weight: bold; text-shadow: 0 1px 0 #f7f7f7;">Мои персональные данные</span></td>
    </tr>
	<tbody>
        <tr class="open" style="display: none;">
            <td colspan="2" style="background: #ebebeb;"><div id="error"></div></td>
        </tr>
        <tr>
            <td width="48%" class="lt"><div style="position: relative;">Логин для входа (основной email)<?=$emal_img?></div></td>
            <td class="rt"><?=$byme['email']; ?></td>
        </tr>
        <?
        if ($keyok == 0) {
            ?>
            <tr>
                <td align="center" colspan="2" style="background: #ebebeb; padding: 5px;"><b>Key:</b> <input type="text" class="val" id="key" size="10" style="text-align: center;" maxlength="6" /> <a href="#" id="actcode" onclick="actcode(); return false;" class="big_btn">Активировать</a></td>
            </tr>
            <?
        }
        ?>
        <tr>
            <td class="lt">Ник</td>
            <td class="rt"><?=$username; ?></td>
        </tr>
        <tr>
            <td class="lt">Дата регистрации</td>
            <td class="rt"><?=date('d.m.Y', $joindate); ?></td>
        </tr>
        <tr>
            <td class="lt">Моё местонахождение</td>
            <td class="rt"><img src='theme/img/flags/<?=$regcode; ?>.png' style='margin: 0 6px 0px 0;' width="16" height="11" /><font color='#666666' style="position: relative; top: -1px;"> <?=mb_convert_encoding($regcountry, 'CP1251', 'UTF8');?></font></td>
        </tr>
        <tr>
            <td class="lt">IP</td>
            <td class="rt"><div style="position: relative; width: auto;"><?=$ip?>&nbsp;&nbsp;<?=$blockip_img?></div></td>
        </tr>
        <tr>
            <td class="lt" colspan="2"><div><?if ($maccess == 1) {
    echo '<a href="#" onclick="sendm(0);"><img src="theme/images/mail_off.png" width="16" height="16" border="0" /></a>';
} else {
    echo '<a href="#" onclick="sendm(1);"><img src="theme/images/mail_on.png" width="16" height="16" border="0" /></a>';
}?>&nbsp;&nbsp;&nbsp;<span style="position: relative; top: -4px;">Позволить другим пользователям отправлять мне личные сообщения</span></div></td>
        </tr>
        <tr>
            <td colspan="2" style="padding: 5px; background: #ebebeb; font-weight: bold;"><span style="color: #212121; text-shadow: 0 1px 0 #f7f7f7;">Мои платёжные реквизиты</span></td>
        </tr>
        <tr>
            <td class="lt">WMID</td>
            <td class="rt"><?=$wmid?></td>
        </tr>
        <tr>
            <td class="lt">Номер счёта в системе <a href="http://webmoney.ru" target="_blank" id="wml">WebMoney</a></td>
            <td class="rt"><? if ($pemail == '') {?><input class="val" type="text" id="ask_webmoney" name="ask_webmoney" size="38" maxlength="13" style="text-transform: uppercase;" value="R" title="Указать кошелек можно только один раз!<br />Будьте мнимательны при заполнении" /><?} else echo $pemail;?></td>
        </tr>
		<tr>
            <td class="lt">Номер счёта в системе <a href="https://payeer.com" target="_blank" id="pr">Payeer</a></td>
            <td class="rt"><? if ($payeer == '') {?><input class="val" type="text" id="ask_payeer" name="ask_payeer" size="38" maxlength="13" style="text-transform: uppercase;" value="P" title="Указать кошелек можно только один раз!<br />Будьте мнимательны при заполнении" /><?} else echo $payeer;?></td>
        </tr>
        <tr>
            <td colspan="2" style="padding: 5px; background: #ebebeb; font-weight: bold;"><span style="color: #212121; font-weight: bold; text-shadow: 0 1px 0 #f7f7f7; margin-right: 330px;">Изменение пароля</span><span style="position: relative;"><input type="submit" name="save" class="big_btn" value="Сохранить" /></span></td>
        </tr>
        <tr>
            <td class="lt">Новый пароль для входа</td>
            <td class="rt"><input type="password" id="ask_pass" size="38" maxlength="50" class="val" value="" /></td>
        </tr>
        <tr>
            <td class="lt">Подтверждение пароля</td>
            <td class="rt"><input type="password" id="ask_pass2" size="38" maxlength="50" class="val" value="" /></td>
        </tr>
    </tbody>
</table>
</form>